<html>
<head>
	<script type="text/javascript" ng:autobind="" src="jquery-2.2.4.min.js"></script>
	<script type="text/javascript" src="cloudvision.js"></script>
	<link href="cloudvision.css" rel="stylesheet">
</head>
<body>
	<div id="sourceSection" class="uiarea">
		<div><label id="keyLabel">Google Cloud Vision API key: </label><input type="text" id="key"></div>
		<div id="urlField"><label id="urlLabel">Enter the relative or absolute URL of an image: </label><input type="text" id="url"></div>
		<div id="b64Field">
			<label id="b64Label">Enter text of a base64 encoded image: </label><input type="text" id="b64">
			<select id="imgType">
				<option value="image format">image format
				<option value="jpeg">jpg
				<option value="png">png
				<option value="gif">gif
			</select>
		</div>
		<div id="progressBarField"><div id="progressBar"><div id="progressColor"></div></div></div>		
	</div>
	<div id="errorSection" class="error"></div>
	<div id="goButtonHolder"><div id="goButton">RUN CLOUD VISION</div></div>
		<div id="features">
		<div class="feature_tab selected" id="FACE_DETECTION">FACE_DETECTION</div>
		<div class="feature_tab selected" id="LOGO_DETECTION">LOGO_DETECTION</div>
		<div class="feature_tab selected" id="LABEL_DETECTION">LABEL_DETECTION</div>
		<div class="feature_tab selected" id="TEXT_DETECTION">TEXT_DETECTION</div>
		<div class="feature_tab selected" id="IMAGE_PROPERTIES">IMAGE_PROPERTIES</div>
		<div class="feature_tab selected" id="LANDMARK_DETECTION">LANDMARK_DETECTION</div>
		<div class="feature_tab selected" id="SAFE_SEARCH_DETECTION">SAFE_SEARCH_DETECTION</div>
	</div>
	<div id="image_properties"></div>
	<div id="label_annotations"></div>
	<div id="landmark_annotations"></div>
	<div id="safesearch_annotations"></div>
	<canvas id="comicpage"></canvas>
</body>
</html>